Summary: ftp and ftpd with SSL encryption support
Name: SSLftp
Version: 0.12
Release: 1
Source: ftp://ftp.replay.com:/pub/replay/pub/crypto/SSLftp-0.12.tar.gz
Patch: SSLftp-0.12.patch
Vendor: Tim J. Hudson
Copyright: Freely distributable, retain attribution
Group: Networking
Icon: ssleay.gif
URL: http://www.replay.com/redhat/
%description
SSL ftp(d) package with SSL encryption support.
It comes from the 4.4BSD-Lite version of ftp and ftpd and is
patched with the SSL-enhancement by Tim Hudson <tjh@mincom.oz.au>.

%changelog
* Sat Nov 01 1997 Ben Hochstedler <hochstrb@cs.rose-hulman.edu> 0.12-1
- Initial version.

%prep
%setup
%patch -p1

%build
make

%install
make install
install -d /usr/local/ssl/man/man1
install -m644 ftp/ftp.1 /usr/local/ssl/man/man1
install -d /usr/local/ssl/man/man8
install -m644 ftpd/ftpd.8 /usr/local/ssl/man/man8

%files
%doc README TODO VERSION
/usr/local/ssl/bin/ftp
/usr/local/ssl/bin/ftpd
/usr/local/ssl/man/man1/ftp.1
/usr/local/ssl/man/man8/ftpd.8

%post
echo -n "Removing executable permissions on /usr/bin/ftp"
chmod -f a-x /usr/bin/ftp
echo ""
echo "If you haven't already, in order to view the SSL manpages, you will need"
echo "to edit /etc/man.conf to include /usr/local/ssl/man.  Add these lines:"
echo "MANPATH         /usr/local/ssl/man"
echo "MANPATH_MAP     /usr/local/ssl/bin      /usr/local/ssl/man"
echo ""
echo "In order to run the SSL ftp server, run the following commands:"
echo "cd /usr/local/ssl/certs"
echo "req -new -x509 -nodes -out ftpd.pem -keyout ftpd.pem"
echo "   <<<answer questions>>>"
echo "ln -s ftpd.pem \`x509 -noout -hash < ftpd.pem\`.0" 
echo "chmod 600 ftpd.pem"
echo ""
echo "Change the in.ftpd entry in /etc/inetd.conf to /usr/local/ssl/bin/ftpd:"
echo "#ftp   stream  tcp     nowait  root    /usr/sbin/tcpd  in.ftpd -l -a"
echo "ftp   stream  tcp     nowait  root    /usr/sbin/tcpd  /usr/local/ssl/bin/ftpd -l"

%postun
echo "Restoring executable permissions on /usr/bin/ftp"
chmod -f a+x /usr/bin/ftp
echo "Removing /usr/local/ssl/certs/ftpd.pem"
cd /usr/local/ssl/certs/
rm -f `../bin/ssleay x509 -noout -hash < ftpd.pem`.0
rm -f ftpd.pem

